Subject: Re: bug#18793: 24.4; zero width rectangular selection displaces text

From: Eli Zaretskii <[email-masked]>
Date: Fri, 06 May 2022 13:47:28 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Stefan Monnier <[email-masked]>,  [email-masked],
>   [email-masked]
> Date: Fri, 06 May 2022 12:26:23 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > AFAIU, that's a feature: we are trying to indicate the existence of
> > the selection, even though its width is zero.  Type "M-x
> > describe-text-properties RET" at the first character.  The indication
> > must take up some space on display, so it moves the following text to
> > the right.
> 
> Yes.  Various things were suggested in the bug report, like a new
> facility to draw a vertical line through a character, for instance, to
> allow indicating stuff like this without the (very slightly) disturbing
> horizontal shift.  I think that sounds like a good idea

I'm not sure: how would such a vertical line indicate that it's
region?  And how will it be visible, given that the cursor is
displayed on that same character?  Or maybe I don't understand what
you mean by "a vertical line through a character"?